<?php

namespace Container\Mail;

use Helpers\Trad\Trad;

class DaAoTerminer extends AbsMail
{
    public function getSujet(): string
    {
        return Trad::strBuild(
            $this->trad->t('Consultation N°@1@ - relative à votre DA N°@2@ - terminée'),
            $this->listeData['NAO'],
            $this->listeData['NDA']
        );
    }

    public function getMessage(): string
    {
        return implode("\r\n", [
            $this->trad->t('Bonjour,'),
            '',
            Trad::strBuild(
                $this->trad->t('L’acheteur @1@ (@2@) a finalisé la consultation N°@3@ - relative à votre DA N°@4@.'),
                $this->listeData['NOM_ACH'],
                $this->listeData['CODE_ACH'],
                $this->listeData['NAO'],
                $this->listeData['NDA']
            ),
            $this->trad->t('Vous pouvez maintenant passer commande auprès du fournisseur sélectionné.'),
            '',
            $this->trad->t('Cordialement,'),
            $this->trad->t('L’équipe Achat'),
        ]);
    }
}
